TIC(1) | General Commands Manual | TIC(1)

# NAME

`tic` —
terminfo compiler

# SYNOPSIS

`tic` | [`-acSsx`] [`-o` file] source [term1 term2 ...]

# DESCRIPTION

The `tic` utility compiles terminfo(5) source into a database for use by other programs. The created database path name is the same as the source but with .cdb appended.

The following options are available:

`-a`
  Do not discard commented out capabilities.
`-c`
  Only check for errors, don't write the final database.
`-o` file
  Write the database to file instead of source.cdb.
`-S`
  For term1, term2, ... output a C structure containing name, compiled description, and compiled size. This can be used to embed terminal descriptions into a program.
`-s`
  Display the number of terminal descriptions written to the database.
`-x`
  Include non standard capabilities defined in the source.

## Extensions To Terminfo

When `tic` discovers a use=term capability, the terminal description for term is merged in. Capabilities do not overwrite previously discovered ones and capabilities ending with @ are marked as absent so the terminal does not inherit the capability from used terminals.

# EXIT STATUS

The `tic` utility exits 0 on success, and >0 if an error occurs.

# EXAMPLES

To maintain your private terminfo definitions, if the system supplied ones do not support your terminal:

    tic ~/.terminfo

# SEE ALSO

infocmp(1), tput(1), curses(3), terminfo(5)

# STANDARDS

The `tic` utility works with terminfo files that conform to the X/Open Curses Issue 4, Version 2 (“XCURSES4.2”) standard.

# AUTHORS

Roy Marples <roy@NetBSD.org>

June 3, 2012 | NetBSD 9.0